// <copyright company="Aspose Pty Ltd">
//   Copyright (C) 2011-2021 GroupDocs. All Rights Reserved.
// </copyright>

package com.groupdocs.metadata.examples;

public class Constants {
    public static final String ResourcesPath = ".\\Resources\\";

    public static final String LicenseFilePath = "E:\\GroupDocs.Metadata.Java.lic";

    public static final String InputPath = CombinePath(ResourcesPath, "SampleFiles\\Input\\");
    public static final String OutputPath = CombinePath(ResourcesPath, "SampleFiles\\Output\\");


    public static final String InputDocx = CombinePath(InputPath, "input.docx");
    public static final String InputPptx = CombinePath(InputPath, "input.pptx");
    public static final String InputXlsx = CombinePath(InputPath, "input.xlsx");
    public static final String InputVsdx = CombinePath(InputPath, "input.vsdx");
    public static final String InputVdx = CombinePath(InputPath, "input.vdx");
    public static final String InputPdf = CombinePath(InputPath, "input.pdf");
    public static final String InputOne = CombinePath(InputPath, "input.one");
    public static final String InputDoc = CombinePath(InputPath, "input.doc");
    public static final String InputPpt = CombinePath(InputPath, "input.ppt");
    public static final String InputXls = CombinePath(InputPath, "input.xls");
    public static final String InputJpeg = CombinePath(InputPath, "input.jpg");
    public static final String InputPng = CombinePath(InputPath, "input.png");
    public static final String InputGif = CombinePath(InputPath, "input.gif");
    public static final String InputDng = CombinePath(InputPath, "sample1.dng");
    public static final String InputMpp = CombinePath(InputPath, "input.mpp");
    public static final String InputBmp = CombinePath(InputPath, "input.bmp");
    public static final String InputJpeg2000 = CombinePath(InputPath, "input.jp2");
    public static final String InputDicom = CombinePath(InputPath, "input.dicom");
    public static final String InputAsf = CombinePath(InputPath, "input.asf");
    public static final String InputAvi = CombinePath(InputPath, "input.avi");
    public static final String InputFlv = CombinePath(InputPath, "input.flv");
    public static final String InputMkv = CombinePath(InputPath, "input.mkv");
    public static final String InputMov = CombinePath(InputPath, "input.mov");
    public static final String InputWav = CombinePath(InputPath, "input.wav");
    public static final String InputZip = CombinePath(InputPath, "input.zip");
    public static final String InputRar = CombinePath(InputPath, "input.rar");
    public static final String InputTar = CombinePath(InputPath, "input.tar");
    public static final String InputSevenZip = CombinePath(InputPath, "input.7z");
    public static final String InputVcf = CombinePath(InputPath, "input.vcf");
    public static final String InputDxf = CombinePath(InputPath, "input.dxf");
    public static final String InputEpub = CombinePath(InputPath, "input.epub");
    public static final String InputEml = CombinePath(InputPath, "input.eml");
    public static final String InputMsg = CombinePath(InputPath, "input.msg");
    public static final String InputTtf = CombinePath(InputPath, "input.ttf");
    public static final String InputTorrent = CombinePath(InputPath, "input.torrent");
    public static final String PngWithXmp = CombinePath(InputPath, "xmp.png");
    public static final String GifWithXmp = CombinePath(InputPath, "xmp.gif");
    public static final String JpegWithXmp = CombinePath(InputPath, "xmp.jpg");
    public static final String TiffWithExif = CombinePath(InputPath, "exif.tiff");
    public static final String TiffWithIptc = CombinePath(InputPath, "iptc.tiff");
    public static final String JpegWithExif = CombinePath(InputPath, "exif.jpg");
    public static final String JpegWithIptc = CombinePath(InputPath, "iptc.jpg");
    public static final String PsdWithIptc = CombinePath(InputPath, "iptc.psd");
    public static final String PsdWithExif = CombinePath(InputPath, "exif.psd");
    public static final String JpegWithIrb = CombinePath(InputPath, "irb.jpg");
    public static final String JpegWithBarcodes = CombinePath(InputPath, "barcode.jpg");
    public static final String PsdWithIrb = CombinePath(InputPath, "irb.psd");
    public static final String ProtectedDocx = CombinePath(InputPath, "protected.docx");
    public static final String SignedPdf = CombinePath(InputPath, "signed.pdf");
    public static final String MkvWithSubtitles = CombinePath(InputPath, "subtitles.mkv");
    public static final String MP3WithID3V1 = CombinePath(InputPath, "id3v1.mp3");
    public static final String MP3WithID3V2 = CombinePath(InputPath, "id3v2.mp3");
    public static final String MP3WithLyrics = CombinePath(InputPath, "lyrics.mp3");
    public static final String MP3WithApe = CombinePath(InputPath, "ape.mp3");
    public static final String CanonJpeg = CombinePath(InputPath, "canon_raw.jpg");
    public static final String NikonJpeg = CombinePath(InputPath, "nikon_raw.jpg");
    public static final String PanasonicJpeg = CombinePath(InputPath, "panasonic_raw.jpg");
    public static final String SonyJpeg = CombinePath(InputPath, "sony_raw.jpg");
    public static final String InputCr2 = CombinePath(InputPath, "input.CR2");

    public static final String OutputDocx = CombinePath(OutputPath, "output.docx");
    public static final String OutputPptx = CombinePath(OutputPath, "output.pptx");
    public static final String OutputXlsx = CombinePath(OutputPath, "output.xlsx");
    public static final String OutputVsdx = CombinePath(OutputPath, "output.vsdx");
    public static final String OutputVdx = CombinePath(OutputPath, "output.vdx");
    public static final String OutputPdf = CombinePath(OutputPath, "output.pdf");
    public static final String OutputOne = CombinePath(OutputPath, "output.one");
    public static final String OutputDoc = CombinePath(OutputPath, "output.doc");
    public static final String OutputPpt = CombinePath(OutputPath, "output.ppt");
    public static final String OutputXls = CombinePath(OutputPath, "output.xls");
    public static final String OutputXml = CombinePath(OutputPath, "output.xml");
    public static final String OutputMpp = CombinePath(OutputPath, "output.mpp");
    public static final String OutputJpeg = CombinePath(OutputPath, "output.jpg");
    public static final String OutputPng = CombinePath(OutputPath, "output.png");
    public static final String OutputGif = CombinePath(OutputPath, "output.gif");
    public static final String OutputTiff = CombinePath(OutputPath, "output.tiff");
    public static final String OutputPsd = CombinePath(OutputPath, "output.psd");
    public static final String OutputBmp = CombinePath(OutputPath, "output.bmp");
    public static final String OutputMp3 = CombinePath(OutputPath, "output.mp3");
    public static final String OutputZip = CombinePath(OutputPath, "output.zip");
    public static final String OutputEml = CombinePath(OutputPath, "output.eml");
    public static final String OutputTorrent = CombinePath(OutputPath, "output.torrent");
    public static final String OutputCsv = CombinePath(OutputPath, "output.csv");
    public static final String OutputEpub = CombinePath(OutputPath, "output.epub");
    public static final String OutputDxf = CombinePath(OutputPath, "output.dxf");

    public static final String ImportPdf = CombinePath(InputPath, "pdf.json");
    private static String CombinePath(String path1, String path2) {
        return path1 + path2;
    }
}
