// <copyright company="Aspose Pty Ltd">
//   Copyright (C) 2011-2021 GroupDocs. All Rights Reserved.
// </copyright>

package com.groupdocs.metadata.examples;


import com.groupdocs.metadata.examples.advanced_usage.*;
import com.groupdocs.metadata.examples.advanced_usage.extracting_property_values.*;
import com.groupdocs.metadata.examples.advanced_usage.loading_files.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.archive.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.audio.mp3.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.audio.wav.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.business_card.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.cad.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.document.diagram.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.document.note.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.document.pdf.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.document.presentation.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.document.project_management.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.document.spreadsheet.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.document.word_processing.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.ebook.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.email.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.font.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.ImageReadFileFormatProperties;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.bmp.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.dicom.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.dng.DngReadFileFormatProperties;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.gif.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.jpeg.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.jpeg.maker_note.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.jpeg2000.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.png.PngReadTextChunks;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.psd.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.raw.Cr2ReadFileFormatProperties;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.image.tiff.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.peer2peer.*;

import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.video.asf.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.video.avi.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.video.flv.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.video.matroska.*;
import com.groupdocs.metadata.examples.advanced_usage.managing_metadata_for_specific_formats.video.mov.*;
import com.groupdocs.metadata.examples.advanced_usage.saving_files.*;
import com.groupdocs.metadata.examples.advanced_usage.working_with_metadata_standards.exif.*;
import com.groupdocs.metadata.examples.advanced_usage.working_with_metadata_standards.iptc.*;
import com.groupdocs.metadata.examples.advanced_usage.working_with_metadata_standards.xmp.*;
import com.groupdocs.metadata.examples.basic_usage.*;
import com.groupdocs.metadata.examples.migration.exporting_metadata_properties.*;
import com.groupdocs.metadata.examples.migration.extracting_specific_metadata_packages.*;
import com.groupdocs.metadata.examples.migration.using_custom_replace_handler.*;
import com.groupdocs.metadata.examples.migration.working_with_regular_expressions.*;
import com.groupdocs.metadata.examples.quick_start.*;


public class RunExamples {
    public static void main(String[] args) throws Exception {
        System.out.println("Open RunExamples.cs. \n In Main() method uncomment the example you want to run.");
        System.out.println("=====================================================");

        // NOTE: Please uncomment the example you want to try out

        // Quick start

        SetLicenseFromFile.run();
//        SetLicenseFromStream.run();
//        SetMeteredLicense.run();


        // Basic usage

        CleanMetadata.run();
        FindMetadataProperties.run();
        GenerateFilePreview.run();
        GetDocumentInfo.run();
        RemoveMetadataProperties.run();
        SetMetadataProperties.run();

        // Advanced usage

        // Extracting property values

        ExtractUsingAcceptor.run();
        ExtractUsingType.run();


        //end

        // Loading files

//        LoadFromLocalDisk.run();
//        LoadFromStream.run();
//        LoadingFileOfSpecificFormat.run();
//        LoadPasswordProtectedDocument.run();

        //end

        // Saving Files

        SaveFileToOriginalSource.run();
        SaveFileToSpecifiedLocation.run();
        SaveFileToSpecifiedStream.run();

        //end

        ExtractingMetadata.run();
        UpdatingMetadata.run();
        RemovingMetadata.run();
        AddingMetadata.run();
        SettingMetadata.run();
        TraverseWholeMetadataTree.run();
        GettingKnownPropertyDescriptors.run();
        ExportingMetadataProperties.run();
        WorkingWithInterpretedValues.run();
        FindMetadataPropertiesByGroupTag.run();
        ImportMetadata.run();


        // Managing metadata for specific formats

        // Document

            // WordProcessing

        WordProcessingReadBuiltInProperties.run();
        WordProcessingUpdateBuiltInProperties.run();
        WordProcessingReadCustomProperties.run();
        WordProcessingUpdateCustomProperties.run();
        WordProcessingReadInspectionProperties.run();
        WordProcessingUpdateInspectionProperties.run();
        WordProcessingReadDublinCoreProperties.run();
        WordProcessingReadDocumentStatistics.run();
        WordProcessingUpdateDocumentStatistics.run();
        WordProcessingReadFileFormatProperties.run();

            //end

            // Spreadsheet

        SpreadsheetReadBuiltInProperties.run();
        SpreadsheetReadCustomProperties.run();
        SpreadsheetReadFileFormatProperties.run();
        SpreadsheetReadInspectionProperties.run();
        SpreadsheetUpdateBuiltInProperties.run();
        SpreadsheetUpdateCustomProperties.run();
        SpreadsheetUpdateInspectionProperties.run();

            //end

            // Presentation
        PresentationReadBuiltInProperties.run();
        PresentationReadCustomProperties.run();
        PresentationReadDocumentStatistics.run();
        PresentationReadFileFormatProperties.run();
        PresentationReadInspectionProperties.run();
        PresentationUpdateBuiltInProperties.run();
        PresentationUpdateCustomProperties.run();
        PresentationUpdateInspectionProperties.run();

            //end

            // Pdf

        PdfReadBuiltInProperties.run();
        PdfReadCustomProperties.run();
        PdfReadDocumentStatistics.run();
        PdfReadFileFormatProperties.run();
        PdfReadInspectionProperties.run();
        PdfUpdateBuiltInProperties.run();
        PdfUpdateCustomProperties.run();
        PdfUpdateInspectionProperties.run();

            //end

            // Diagram

        DiagramReadBuiltInProperties.run();
        DiagramReadCustomProperties.run();
        DiagramReadDocumentStatistics.run();
        DiagramReadFileFormatProperties.run();
        DiagramUpdateBuiltInProperties.run();
        DiagramUpdateCustomProperties.run();

            //end

            // Note

        NoteReadInspectionProperties.run();
        NoteReadDocumentStatistics.run();

            //end

            // ProjectManagement

        ProjectManagementReadBuiltInProperties.run();
        ProjectManagementReadCustomProperties.run();
        ProjectManagementUpdateBuiltInProperties.run();
        ProjectManagementUpdateCustomProperties.run();

            //end

            //end

            // Image

        ImageReadFileFormatProperties.run();
        BmpReadHeaderProperties.run();
        DicomReadNativeMetadataProperties.run();
        GifReadFileFormatProperties.run();

        JpegReadImageResourceBlocks.run();
        JpegDetectBarcodes.run();
        JpegRemoveImageResourceBlocks.run();

        MakerNoteReadAllTags.run();
        MakerNoteReadCanonProperties.run();
        MakerNoteReadNikonProperties.run();
        MakerNoteReadPanasonicProperties.run();
        MakerNoteReadSonyProperties.run();

        Jpeg2000ReadComments.run();

        PngReadTextChunks.run();

        PsdReadNativeMetadataProperties.run();
        PsdReadImageResourceBlocks.run();
        PsdReadBasicExifProperties.run();

        TiffReadBasicIptcProperties.run();

        Cr2ReadFileFormatProperties.run();

        DngReadFileFormatProperties.run();

            //end

            // Video

        AsfReadNativeMetadataProperties.run();

        AviReadHeaderProperties.run();
        AviReadInfoMetadata.run();

        FlvReadHeaderProperties.run();

        MatroskaReadNativeMetadataProperties.run();
        MatroskaReadSubtitles.run();

        //MovReadQuickTimeAtoms.run();

            //end

            // Audio

        MP3ReadID3V1Tag.run();
        MP3UpdateID3V1Tag.run();
        MP3RemoveID3V1Tag.run();
        MP3ReadID3V2Tag.run();
        MP3UpdateID3V2Tag.run();
        MP3RemoveID3V2Tag.run();
        MP3ReadLyricsTag.run();
        MP3UpdateLyricsTag.run();
        MP3RemoveLyricsTag.run();
        MP3ReadApeTag.run();
        MP3RemoveApeTag.run();
        MP3ReadMpegAudioMetadata.run();

        WavReadNativeMetadataProperties.run();
        WavReadInfoMetadata.run();

            //end

            // Other formats

        ZipReadNativeMetadataProperties.run();
        ZipUpdateArchiveComment.run();
        ZipRemoveArchiveComment.run();

        VCardReadCardProperties.run();
        VCardReadCardPropertiesWithParameters.run();
        VCardFilterCardProperties.run();

        CadReadNativeMetadataProperties.run();
        DxfUpdateNativeMetadataProperties.run();

        EpubReadNativeMetadataProperties.run();
        EpubUpdateNativeMetadataProperties.run();
        EpubReadDublinCoreProperties.run();
        EpubUpdateDublinCoreProperties.run();

        EmlReadNativeMetadataProperties.run();
        MsgReadNativeMetadataProperties.run();
        EmailRemoveAttachments.run();
        EmailUpdateEmailFields.run();

        OpenTypeReadNativeMetadataProperties.run();
        OpenTypeReadDigitalSignatureProperties.run();

        TorrentReadNativeMetadataProperties.run();
        TorrentUpdateNativeMetadataProperties.run();

        SevenZipReadNativeMetadataProperties.run();
        RarReadNativeMetadataProperties.run();
        TarReadNativeMetadataProperties.run();

            //end

            //end

            // Working with metadata standards

            // Xmp

        ReadXmpProperties.run();
        UpdateXmpProperties.run();
        AddCustomXmpPackage.run();
        RemoveXmpMetadata.run();

            //end

            // Exif

        ReadBasicExifProperties.run();
        ReadExifTags.run();
        UpdateExifProperties.run();
        SetCustomExifTag.run();
        RemoveExifMetadata.run();
        ReadSpecificExifTag.run();

            //end

            // Iptc

        //ReadBasicIptcProperties.run();
        //ReadIptcDataSets.run();
        //UpdateIptcProperties.run();
        //SetCustomIptcDataSet.run();
        //AddRepeatableIptcDataSet.run();
        //RemoveIptcMetadata.run();

            //end

            //end

            //end



        // Migration

        //ExportPropertiesToCsv.run();

        //ExtractPackageUsingCommonApi.run();

        //UpdatePropertyValue.run();

        //FindPropertiesByRegex.run();
        //UpdatePropertiesByRegex.run();


        System.out.println();
        System.out.println("All done.");
    }
}
